#!/bin/bash
#
# Copyright (C) 2017 ~ 2018 Deepin Technology Co., Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

fix_fp_aratek() {
  if is_productname_exists "N70Z"; then
    msg "fix aratek fingerprint driver"
    local PACKAGE_NAME="com.aratek.fp.driver"
    is_installed $PACKAGE_NAME
    rc=$?
    if [ $rc == 0 ]; then
      msg "$PACKAGE_NAME has been installed"
    fi

    safe_install $PACKAGE_NAME
  fi
}

head "-- misc device detect and driver adaptation"
fix_fp_aratek || true